# enter a dev shell with: `nix develop`
{
  inputs.nixpkgs.url = "nixpkgs/nixos-unstable";

  outputs = { self, nixpkgs  }:
  let
    pkgs = import nixpkgs {
      system = "x86_64-linux";
    };
  in with self.outputs.packages.x86_64-linux;
  {
    devShells.x86_64-linux.default = pkgs.mkShell {
      buildInputs = with pkgs; [
        cargo
        openssl
        pkg-config
        rustc
      ];
    };
  };
}
 
